#
# Name:          makefile
#
# Description:   Makefile for the mrtr
#
#
# The name of the compiler to use
CC=gcc -g
#The default compiler flags to use
#CFLAGS=-I.  -DUNIX -DDIAGNOSE
CFLAGS=-I.  -DUNIX 
#
CFILES=mrtr.c
OBJS=mrtr.o
#
# The libraries to include
LDLIBS=-mt -lc -lnsl -ldl -lmqm -lmqmcs -lmqmzse

# The rule for converting .c objects to .o objects
#.c.o:
#   ${cc} $(CFLAGS) -c -o $@ $<
#   cc -I  -c -o mrtr.c

# The first object in the makefile is the default
# object to build.
# All of the objects in this makefile are components of mrtr.
all: mrtr
# The mainline routine
#mrtr.o:  mrtr.c mrtrdef.h
#   $(CC) $(CFLAGS) -c -xCC -Xt mrtr.c
#
# Build the objects into an executable program
mrtr: $(OBJS)
	$(CC) -o mrtr mrtr.o $(LDLIBS)
#
mrtr.o:  mrtr.c 
	$(CC) $(CFLAGS) -c mrtr.c
#


